{{page-title @model.newsletter.name " | " (capitalize (t "edit"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::Visibility
        @model={{@model.newsletter}}
        @teams={{@model.teams}}
        @hasIsDefault={{false}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @isAdmin={{this.user.isAdmin}}
        @areAllShowing={{this.allTeams}}
        @onChangeAll={{this.changeAll}}
        @saveIsPublic={{this.saveIsPublic}}
        @saveIsDefault={{this.saveIsDefault}}
        @saveTeam={{this.saveTeam}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />
      <Manage::ModelInfo @editablePanel={{this.editableField}} @savingPanel={{this.savingField}} @model={{@model.map}} @onSave={{this.save}} @onCancel={{this.cancel}} @onEdit={{this.edit}} />
    </Manage::SideBar>

    <Manage::Container @title={{capitalize (t "edit newsletter")}} @breadcrumbs={{this.breadcrumbs}}>
      <:content>
        {{#if this.alertList}}
          <Manage::Row>
            <AlertList @list={{this.alertList}} />
          </Manage::Row>
        {{/if}}

        <Manage::Row @name="name">
          <Manage::Text
            @title={{capitalize (t "name")}}
            @isMainValue={{true}}
            @value={{@model.newsletter.name}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "name"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="description">
          <Manage::Text
            @title={{capitalize (t "description")}}
            @useTextArea={{true}}
            @isMainValue={{true}}
            @value={{@model.newsletter.description}}
            @emptyError={{capitalize (t "This newsletter does not have a description.")}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "description"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        {{#if @model.welcomeMessage}}
          <Manage::Row @name="welcome-message">
            <div class="d-flex align-items-end justify-content-between">
              <h2 class="display-4 p-0 m-0">
                {{capitalize (t "welcome email")}}
              </h2>
              <div>
                <LinkTo class="float-end btn-edit" @route="manage.articles.edit" @model={{@model.welcomeMessage.id}}>{{t "edit"}}</LinkTo>
              </div>
            </div>
            <hr />

            <Article::Viewer @value={{@model.welcomeMessage.contentBlocks}} />
          </Manage::Row>
        {{/if}}
      </:content>
    </Manage::Container>
  </div>
{{/if}}